Mark a training item not done
Takes the item back for the person. It never withdraws an approval already given: withdraw that with DELETE /api/shifts/qualifications/. Needs write on Shifts and read on People (403 without).
DELETE
https://{organization}.rescueconsole.com
/
api
/
shifts
/
training
/
{id}
/
done
Mark a training item not done
curl --request DELETE \
--url https://{organization}.rescueconsole.com/api/shifts/training/{id}/done \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/shifts/training/{id}/done', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/shifts/training/{id}/done"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"results": [
{
"role": {
"id": "<string>",
"label": "<string>",
"location_scoped": true
},
"items": [
{
"id": "<string>",
"role_id": "<string>",
"kind": "read",
"title": "<string>",
"sort_order": 123,
"is_enabled": true,
"details": "<string>",
"url": "<string>",
"session_role_id": "<string>",
"session_role_label": "<string>",
"done": {
"how": "confirmed",
"done_at": "2023-11-07T05:31:56Z",
"place": "<string>"
}
}
],
"finished": true,
"approved": true,
"waiting_for_place": true
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Mark a training item not done
curl --request DELETE \
--url https://{organization}.rescueconsole.com/api/shifts/training/{id}/done \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/shifts/training/{id}/done', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/shifts/training/{id}/done"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"results": [
{
"role": {
"id": "<string>",
"label": "<string>",
"location_scoped": true
},
"items": [
{
"id": "<string>",
"role_id": "<string>",
"kind": "read",
"title": "<string>",
"sort_order": 123,
"is_enabled": true,
"details": "<string>",
"url": "<string>",
"session_role_id": "<string>",
"session_role_label": "<string>",
"done": {
"how": "confirmed",
"done_at": "2023-11-07T05:31:56Z",
"place": "<string>"
}
}
],
"finished": true,
"approved": true,
"waiting_for_place": true
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
